data:extend({
  {
    type = "technology",
    name = "more-advanced-oil-processing",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"advanced-oil-processing"},
    effects =
    {
      {
	  type = "unlock-recipe",
      recipe = "coal-oil-processing"
      },
	  {
	    type = "unlock-recipe",
	    recipe = "coal-craking"
	  },
	  {
	  type = "unlock-recipe",
	    recipe = "wood-oil-processing"
	  }
 },
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "oil-drill",
    icon = "__more_oil-production__/graphics/oil-drill-technology.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "oil-drill"
      },
	  
	   {
        type = "unlock-recipe",
        recipe = "deep-oil-drilling"
      }
    },
    prerequisites = {"oil-processing"},
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 45
    },
    order = "a-b-d"
  }
})
